zenilib: zenilib/jni/external/libvorbis/lib/floor0.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
floor0.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <ogg/ogg.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "registry.h"`
`#include "lpc.h"`
`#include "lsp.h"`
`#include "codebook.h"`
`#include "scales.h"`
`#include "misc.h"`
`#include "os.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions

static void | floor0_free_info (vorbis_info_floor *i)
static void | floor0_free_look (vorbis_look_floor *i)
static void * | floor0_inverse1 (vorbis_block *vb, vorbis_look_floor *i)
static int | floor0_inverse2 (vorbis_block *vb, vorbis_look_floor *i, void *memo, float *out)
static vorbis_look_floor * | floor0_look (vorbis_dsp_state *vd, vorbis_info_floor *i)
static void | floor0_map_lazy_init (vorbis_block *vb, vorbis_info_floor *infoX, vorbis_look_floor0 *look)
static vorbis_info_floor * | floor0_unpack (vorbis_info *vi, oggpack_buffer *opb)

## Variables

const vorbis_func_floor | floor0_exportbundle

## Function Documentation

static void floor0_free_info | ( | vorbis_info_floor * | i | ) |

static

Definition at line 50 of file floor0.c.

References _ogg_free, and memset.

Referenced by floor0_unpack().

static void floor0_free_look | ( | vorbis_look_floor * | i | ) |

static

Definition at line 58 of file floor0.c.

References _ogg_free, and memset.

static void* floor0_inverse1 | ( | vorbis_block * | vb,
|  | vorbis_look_floor * | i
| ) |  |

static

Definition at line 159 of file floor0.c.

References _ilog(), _vorbis_block_alloc(), vorbis_info_floor0::ampbits, vorbis_info_floor0::ampdB, vorbis_info_floor0::books, vorbis_info::codec_setup, codebook::dim, codec_setup_info::fullbooks, j, k, NULL, vorbis_info_floor0::numbooks, oggpack_read(), vorbis_block::opb, vorbis_block::vd, vorbis_dsp_state::vi, and vorbis_book_decodev_set().

static int floor0_inverse2 | ( | vorbis_block * | vb,
|  | vorbis_look_floor * | i,
|  | void * | memo,
|  | float * | out
| ) |  |

static

Definition at line 195 of file floor0.c.

References vorbis_info_floor0::ampdB, floor0_map_lazy_init(), memset, vorbis_lsp_to_curve(), and vorbis_block::W.

static vorbis_look_floor* floor0_look | ( | vorbis_dsp_state * | vd,
|  | vorbis_info_floor * | i
| ) |  |

static

Definition at line 146 of file floor0.c.

References _ogg_calloc, vorbis_info_floor0::barkmap, and vorbis_info_floor0::order.

static void floor0_map_lazy_init | ( | vorbis_block * | vb,
|  | vorbis_info_floor * | infoX,
|  | vorbis_look_floor0 * | look
| ) |  |

static

Definition at line 112 of file floor0.c.

References _ogg_malloc, codec_setup_info::blocksizes, vorbis_info::codec_setup, floor(), j, vorbis_info_floor0::rate, toBARK, vorbis_block::vd, vorbis_dsp_state::vi, vi, and vorbis_block::W.

Referenced by floor0_inverse2().

static vorbis_info_floor* floor0_unpack | ( | vorbis_info * | vi,
|  | oggpack_buffer * | opb
| ) |  |

static

Definition at line 74 of file floor0.c.

References _ogg_malloc, vorbis_info_floor0::ampbits, vorbis_info_floor0::ampdB, vorbis_info_floor0::barkmap, codec_setup_info::book_param, vorbis_info_floor0::books, codec_setup_info::books, vorbis_info::codec_setup, static_codebook::dim, floor0_free_info(), j, static_codebook::maptype, NULL, vorbis_info_floor0::numbooks, oggpack_read(), vorbis_info_floor0::order, and vorbis_info_floor0::rate.

## Variable Documentation

const vorbis_func_floor floor0_exportbundle

Initial value:
={
NULL,&floor0_unpack,&floor0_look,&floor0_free_info,
&floor0_free_look,&floor0_inverse1,&floor0_inverse2
}
NULL
#define NULL
Definition: ftobjs.h:61
floor0_unpack
static vorbis_info_floor * floor0_unpack(vorbis_info *vi, oggpack_buffer *opb)
Definition: floor0.c:74
floor0_free_look
static void floor0_free_look(vorbis_look_floor *i)
Definition: floor0.c:58
floor0_look
static vorbis_look_floor * floor0_look(vorbis_dsp_state *vd, vorbis_info_floor *i)
Definition: floor0.c:146
floor0_inverse2
static int floor0_inverse2(vorbis_block *vb, vorbis_look_floor *i, void *memo, float *out)
Definition: floor0.c:195
floor0_inverse1
static void * floor0_inverse1(vorbis_block *vb, vorbis_look_floor *i)
Definition: floor0.c:159
floor0_free_info
static void floor0_free_info(vorbis_info_floor *i)
Definition: floor0.c:50

Definition at line 219 of file floor0.c.